package com.mx.dla.dda.contrato.condicionesLicense.dtos;

import java.util.Date;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class PlicenseDTO extends BaseDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6741499001846550514L;

	private String tipoCondicion;

	private String tipoPeriodoPago;

	private List<PlfRangoDTO> rango;

	private String tipoAnio;

	private List<PlfAnnioDTO> montoAnio;

	private Date fechaInicio;

	private Date fechaFin;

	private Long idContrato;

	public String getTipoCondicion() {
		return tipoCondicion;
	}

	public void setTipoCondicion(String tipoCondicion) {
		this.tipoCondicion = tipoCondicion;
	}

	public String getTipoPeriodoPago() {
		return tipoPeriodoPago;
	}

	public void setTipoPeriodoPago(String tipoPeriodoPago) {
		this.tipoPeriodoPago = tipoPeriodoPago;
	}

	public void setRango(List<PlfRangoDTO> rango) {
		this.rango = rango;
	}

	public List<PlfRangoDTO> getRango() {
		return rango;
	}

	public String getTipoAnio() {
		return tipoAnio;
	}

	public void setTipoAnio(String tipoAnio) {
		this.tipoAnio = tipoAnio;
	}

	public List<PlfAnnioDTO> getMontoAnio() {
		return montoAnio;
	}

	public void setMontoAnio(List<PlfAnnioDTO> montoAnio) {
		this.montoAnio = montoAnio;
	}

	public Date getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public Date getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

}
